SHELL=/bin/sh
CFLAGS=-Wall -W -O2 -DMODULE -D__KERNEL__ \
       -I/lib/modules/`uname -r`/build/include

all: kmemprof-cgprof.o

kmemprof-cgprof.o: notifier.o cgprof.o region.o
	ld notifier.o cgprof.o region.o -r -o kmemprof-cgprof.o

notifier.o: notifier.c
	gcc $(CFLAGS) -c notifier.c

cgprof.o: cgprof.c cgprof.h
	gcc $(CFLAGS) -c cgprof.c

region.o: region.c region.h
	gcc $(CFLAGS) -c region.c

clean:
	-rm -f *~ notifier.o cgprof.o region.o kmemprof-cgprof.o

